package com.fjhx.purchase.service;

import com.fjhx.common.utils.Assert;
import com.fjhx.purchase.entity.sales.enums.SalesReturnDetailStatusEnum;
import com.fjhx.purchase.entity.sales.po.SalesReturnDetail;
import com.fjhx.purchase.service.sales.SalesReturnDetailService;
import com.fjhx.wms.service.MyPurchaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MyPurchaseServiceImpl implements MyPurchaseService {

    @Autowired
    private SalesReturnDetailService salesReturnDetailService;

    /**
     * 修改采购退货状态
     */
    @Override
    public void updateSalesReturnStatus(Long id, Integer status) {
        switch (status) {
            case 0://待出库
                status = SalesReturnDetailStatusEnum.STATUS_20.getKey();//待退货
                break;
            case 1://部分出库
                status = SalesReturnDetailStatusEnum.STATUS_30.getKey();//部分退货
                break;
            case 2://已出库
                status = SalesReturnDetailStatusEnum.STATUS_40.getKey();//退货完成
                break;
        }
        SalesReturnDetail salesReturnDetail = salesReturnDetailService.getById(id);
        Assert.notEmpty(salesReturnDetail, "查询不到退货信息");
        salesReturnDetail.setStatus(status);
        salesReturnDetailService.updateById(salesReturnDetail);
    }
}
